PENGADIAN EMAS - Bug #15610

BE [EMAS][DIRECT DEBIT][TRX HISTORY] Transaction Should Happen on 18th But No Record In Trx

History
19 January 2023 02:12 PM - yap chekying

Status: Closed
Priority: Urgent
Assignee: yap chekying
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

19 January 2023

100%
0.00 hour
0.00 hour

Description
Please refer to attached video

History

#1 - 19 January 2023 02:22 PM - yap chekying

- Assignee changed from woonbeng.koo woonbeng.koo to santhosh Krishna

#2 - 19 January 2023 02:26 PM - yap chekying

- Assignee changed from santhosh Krishna to Imran Abdulhadi

#3 - 19 January 2023 04:15 PM - Imran Abdulhadi
- Assignee changed from Imran Abdulhadi to yap chekying

Failed by inquiry ESB side. Below is the error log. please consult them. thank you

18-01-2023 08:00:04 [Batch Job Purchase Emas - 152] INFO com.maybank.ddebit.scheduler.task.PurchaseEmasTranx - Response Get Emas
Inquiry : {"responseMsgTablIng":{"responseCode":"90","responseDetail":{"responseCode":"90","responseData":"Transaksi digital tidak bisa diproses,
waktu pelayanan sd 05:00, silahkan coba bertransaksi kembali pada pukul 02:00","errorOrigin":"PEGADAIAN"}}}

18-01-2023 08:00:04 [Batch Job Purchase Emas - 152] ERROR com.maybank.ddebit.scheduler.task.PurchaseEmasTranx -

Failed Inquiry :: ERROR CODE ->90, ERROR DESC ->Transaksi digital tidak bisa diproses, waktu pelayanan sd 05:00, silahkan coba bertransaksi

kembali pada pukul 02:00

#4 - 10 February 2023 03:36 PM - yap chekying
- Status changed from New to Assigned

- Assignee changed from yap chekying to Imran Abdulhadi

Actual Result:
Hit error "accountNo kosong" when tap on recurring transaction
accountNo kosong
username: uatemas118
password:Mbi123456

Web Service - emas/routine/transactionListing
15:17 100% ' ¥
No SIM =

Response Body

{

"accountNo kosong",

"responseMessage"

"responseData" : null,

"responseCode" : "99"
}

Oof O
No SIM = 15:18 100% ' ¥

( /msemas/emas/routine/transactio... m

Response Header

Referrer-Policy no-referrer

Vary Origin, Access-Control-Request-Method,
Access-Control-Request-Headers

Cache-Control no-cache, no-store, max-age=0,
must-revalidate

X-Frame-Options DENY

Permissions-Policy accelerometer=(), ambient-
light-sensor=(), autoplay=(), battery=(), camera=(),
cross-origin-isolated=(), display-capture=(),
document-domain=(), encrypted-media=(),
execution-while-not-rendered=(), execution-while-
out-of-viewport=(), fullscreen=(), geolocation=(),
gyroscope=(), keyboard-map=(), magnetometer=(),
microphone=(), midi=(), navigation-override=(),
payment=(), picture-in-picture=(), publickey-
credentials-get=(), screen-wake-lock=(), sync-
xhr=(), usb=(), web-share=(), xr-spatial-tracking=(),
clipboard-read=(), clipboard-write=(), gamepad=(),
speaker-selection=(), conversion-measurement=(),
focus-without-user-activation=(), hid=(), idle-
detection=(), interest-cohort=(), serial=(), sync-
script=(), trust-token-redemption=(), window-
placement=(), vertical-scroll=()
Transfer-Encoding Identity
X-Content-Type-Options nosniff

Keep-Alive timeout=60

Response Body
No SIM = 15:18 100% 4
More Done
Requests

POST

——— https://103.247.182.125/msemas/emas/

(200) ) LT

257 routine/transactionListing

POST

- https://103.247.182.125/secmod/v1/

200 )

U generatetoken

71Ims

POST

——— https://103.247.182.125/msemas/emas/

(200 ) RPN

— routine/listing

638ms

GET

——— https://103.247.182.125/msemas/

(200) ) .

— register/getMinMax

347ms

POST https://103.247.182.125/msemas/emas/

(200 ) dashboard/

502ms getinvestmentinsuranceDetails

POST

e https://103.247.182.125/secmod/v1/

200

— generatetoken

429ms

POST https://103.247.182.125/

(200 ) msmaybankdirectdebit/directdebit/
#5 - 10 February 2023 03:37 PM - yap chekying
- File 2023_02_10_IMG_3131.PNG added
- File 2023_02_10_IMG_3132.PNG added
- File 2023 _02_10_IMG_3133.PNG added
- File 2023 _02_10_IMG_3134.PNG added

Actual Result:
Hit error "accountNo kosong" when tap on recurring transaction
username: uatemas118
password:Mbi123456

Web Service - emas/routine/transactionListing
No SIM =

Response Body

{

"accountNo kosong",

"responseMessage"

"responseData" : null,

"responseCode" : "99"
}
No SIM = 15:18 100% ' ¥

( /msemas/emas/routine/transactio... m

Response Header

Referrer-Policy no-referrer

Vary Origin, Access-Control-Request-Method,
Access-Control-Request-Headers

Cache-Control no-cache, no-store, max-age=0,
must-revalidate

X-Frame-Options DENY

Permissions-Policy accelerometer=(), ambient-
light-sensor=(), autoplay=(), battery=(), camera=(),
cross-origin-isolated=(), display-capture=(),
document-domain=(), encrypted-media=(),
execution-while-not-rendered=(), execution-while-
out-of-viewport=(), fullscreen=(), geolocation=(),
gyroscope=(), keyboard-map=(), magnetometer=(),
microphone=(), midi=(), navigation-override=(),
payment=(), picture-in-picture=(), publickey-
credentials-get=(), screen-wake-lock=(), sync-
xhr=(), usb=(), web-share=(), xr-spatial-tracking=(),
clipboard-read=(), clipboard-write=(), gamepad=(),
speaker-selection=(), conversion-measurement=(),
focus-without-user-activation=(), hid=(), idle-
detection=(), interest-cohort=(), serial=(), sync-
script=(), trust-token-redemption=(), window-
placement=(), vertical-scroll=()
Transfer-Encoding Identity
X-Content-Type-Options nosniff

Keep-Alive timeout=60

Response Body
No SIM = 15:18 100% 4
More Done
Requests

POST

——— https://103.247.182.125/msemas/emas/

(200) ) LT

257 routine/transactionListing

POST

- https://103.247.182.125/secmod/v1/

200 )

U generatetoken

71Ims

POST

——— https://103.247.182.125/msemas/emas/

(200 ) RPN

— routine/listing

638ms

GET

——— https://103.247.182.125/msemas/

(200) ) .

— register/getMinMax

347ms

POST https://103.247.182.125/msemas/emas/

(200 ) dashboard/

502ms getinvestmentinsuranceDetails

POST

e https://103.247.182.125/secmod/v1/

200

— generatetoken

429ms

POST https://103.247.182.125/

(200 ) msmaybankdirectdebit/directdebit/
#6 - 20 February 2023 04:55 PM - Imran Abdulhadi
- Assignee changed from Imran Abdulhadi to yap chekying
- % Done changed from 0 to 100

fe should fix this because request is empty on accountNo.

#7 - 20 February 2023 05:17 PM - yap chekying
- Assignee changed from yap chekying to He Xi Yeo

#8 - 20 February 2023 08:27 PM - He Xi Yeo
- Assignee changed from He Xi Yeo to yap chekying

Fixed.

#9 - 13 April 2023 01:07 PM - yap chekying

- File 15610.png added

- Status changed from Assigned to Closed

Files

2023-01-19-IMG-3096.mp4 425MB 19 January 2023 yap chekying
2023_02_10_IMG_3132.PNG 51.8 KB 10 February 2023 yap chekying
2023_02_10_IMG_3133.PNG 191 KB 10 February 2023 yap chekying
2023_02_10_IMG_3134.PNG 136 KB 10 February 2023 yap chekying
2023_02_10_IMG_3131.PNG 437 KB 10 February 2023 yap chekying
15610.png 151 KB 13 April 2023 yap chekying
